#include "OpenGLLight.h"	// Hinzugefgt von der Klassenansicht
#pragma once
// DlgLightSettings.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDlgLightSettings 

class CDlgLightSettings : public CDialog
{
// Konstruktion
public:
	COpenGLLight* m_pThisLight;
	bool m_bLightIsOn;
	float m_fSourceVar[4];
	float m_fOffset;
	float m_fScale;							//[0-1]Original = [0-100]Slider Scale = 1/100
	float m_fValueMax;
	float m_fValueMin;

	void UpdateDlg();
	virtual void OnOK();
	virtual void OnCancel();
	CDlgLightSettings(CWnd* pParent = NULL);   // Standardkonstruktor
	bool m_bIsActive;


	int m_nSourceVar;
	int m_nSource;

// Dialogfelddaten
	//{{AFX_DATA(CDlgLightSettings)
	enum { IDD = IDD_LIGHT_SETTINGS };
	CSliderCtrl	m_ctlSlider2;
	CSliderCtrl	m_ctlSlider1;
	CSliderCtrl	m_ctlSlider0;
	CComboBox	m_ctlSourceVarList;
	CComboBox	m_ctlSourceList;
	CString	m_strSourceList;
	CString	m_strSourceVarList;
	BOOL	m_bConnected;
	int		m_nSlider0;
	int		m_nSlider1;
	int		m_nSlider2;
	//}}AFX_DATA


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CDlgLightSettings)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CDlgLightSettings)
	afx_msg void OnTimer(UINT nIDEvent);
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeSourceVarList();
	afx_msg void OnSelchangeSourceList();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnBtnActivate();
	afx_msg void OnBtnActivateAll();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

