#pragma once

#include <afxtempl.h>

class COpenGLLight  
{
public:
	bool m_bDrawSourcePoint;
	bool IsFixed();
	
	bool IsActivated();
	void SetLightVar(UINT nType, float* Var);
	
	COpenGLLight(int nGLLightNr);
	CString GetName();
	void DrawLight();
	void Init();
	static CList<COpenGLLight*,COpenGLLight*> m_pLightList;
	static COpenGLLight* GetGLLight(int nGLLightNr);//liefert ptnr auf COpenGLLight-Instanz mit Nummer (GL_LIGHT0...GL_LIGHT7)

	COpenGLLight();
	virtual ~COpenGLLight();
	
	int GetLightNumberGL();							//liefert Zahl zwischen GL_LIGHT0...GL_LIGHT7  (max=8Lights)	
	int GetLightNumber();							//liefert Zahl zwischen 0...7  (max=8Lights)
	void ActivateAll(bool doit =true);				//aktiviert alle Lights
	void Activate(bool doit=true);					//aktiviert aktuelles / dieses Light
	
//	void SetOrientation(float a,float b,float c);	//legt Ausrichtung fest
	void SetPosition(float x,float y,float z);		//legt Position fest
	float	m_fPosition[4];

private:
	bool	m_bFixed;
	bool	m_bActivated;
	
//	float	m_fOrientation[4];
	int		m_nLightNumber;
	CString	m_strName;
	float	m_fAmbient[4];	
	float	m_fDiffuse[4];
	float	m_fSpecular[4];
};
