#include "DlgObjectAdd.h"	// Hinzugefgt von der Klassenansicht
#pragma once

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDlgObjectSettings 

class CDlgObjectSettings : public CDialog
{
// Konstruktion
public:
	void UpdateDlg();
	virtual void OnOK();
	virtual void OnCancel();
	CDlgObjectSettings(CWnd* pParent = NULL);   // Standardkonstruktor

// Dialogfelddaten
	//{{AFX_DATA(CDlgObjectSettings)
	enum { IDD = IDD_OBJECT_SETTINGS };
	CComboBox	m_ctlObjectList;
	CString	m_strObjectList;
	float	m_dPos[3];
	float	m_dPosOffset[3];
	float	m_dOrientation[3];
	float	m_dOrientationOffset[3];
	float	m_dColor[4];
	BOOL	m_bShowOrigin;
	BOOL	m_bShowGeometry;
	bool m_bIsActive;
	CString	m_strGeometrieFile;
	//}}AFX_DATA


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CDlgObjectSettings)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CDlgObjectSettings)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeObjectList();
	afx_msg void OnBtnUpdate();
	afx_msg void OnChkShowOrigin();
	afx_msg void OnChkShowGeometry();
	afx_msg void OnBtnLoadGeometry();
	afx_msg void OnBtnRemoveObject();
	afx_msg void OnBtnAddObject();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CDlgObjectAdd m_DlgObjectAdd;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

