// DlgStatus.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "hexmotion.h"
#include "DlgStatus.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CDlgStatus* CDlgStatus::m_pCDlgStatus;	//static pointer auf instanz 

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CDlgStatus 


CDlgStatus::CDlgStatus(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgStatus::IDD, pParent)
{	TRACE("CDlgStatus::CDlgStatus()\n");
	m_pCDlgStatus=this;	
	m_bIsActive=false;
	
	//{{AFX_DATA_INIT(CDlgStatus)
	m_strTextA = _T("");
	m_strTextB = _T("");
	//}}AFX_DATA_INIT
}


void CDlgStatus::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgStatus)
	DDX_Text(pDX, IDC_TEXTA, m_strTextA);
	DDX_Text(pDX, IDC_TEXTB, m_strTextB);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgStatus, CDialog)
	//{{AFX_MSG_MAP(CDlgStatus)
		// HINWEIS: Der Klassen-Assistent fgt hier Zuordnungsmakros fr Nachrichten ein
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CDlgStatus 

void CDlgStatus::Show()
{
	if (!m_bIsActive)
 	{	Create(IDD_STATUS, this);
 		m_bIsActive=true;
 		ShowWindow(SW_SHOW);
		SetTextA("none");
		SetTextB("none");

	} 
}

void CDlgStatus::Hide()
{ 	if (m_bIsActive)
 	{
 		m_bIsActive=false;
 		DestroyWindow();
 	};

}

void CDlgStatus::UpdateDlg()
{
//	GetDlgItem(IDC_RAHMEN)->SetWindowText("Settings");

//	GetDlgItem(IDC_SLIDER0)->EnableWindow(active);

//	GetDlgItem(IDC_SOURCEVAR_A)->SetWindowText("test");

//	UpdateData(false);
}

void CDlgStatus::SetTextA(CString text)
{	m_strTextA=text;
	UpdateData(false);
}

void CDlgStatus::SetTextB(CString text)
{	m_strTextB=text;
	UpdateData(false);
//	UpdateWindow();
}
